<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/ll_news_feed_root"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white"
    android:orientation="vertical"
    tools:viewBindingIgnore="true">

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/d_9dp"
        android:background="@color/page_bg" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:layout_marginTop="@dimen/d_10dp"
        android:paddingLeft="@dimen/d_15dp"
        android:paddingTop="@dimen/d_15dp"
        android:paddingRight="@dimen/d_15dp"
        android:paddingBottom="@dimen/d_8dp">

        <com.guadou.lib_baselib.view.CircleImageView
            android:id="@+id/iv_feed_news_avatar"
            android:layout_width="@dimen/d_45dp"
            android:layout_height="@dimen/d_45dp"
            android:background="@drawable/im_default_head"
            app:layout_constraintLeft_toLeftOf="parent" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="vertical">

            <com.guadou.lib_baselib.font_text_view.TextViewBold
                android:id="@+id/tv_feed_news_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_12dp"
                android:ellipsize="end"
                android:singleLine="true"
                android:text="丽莎"
                android:textColor="@color/notify_dark_blue"
                android:textSize="18dp" />

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:id="@+id/tv_feed_news_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_12dp"
                android:text="2022.02.08 18:01"
                android:textColor="@color/gray_76"
                android:textSize="@dimen/d_14sp" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_follow_box"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:background="@drawable/shape_news_feed_follow_red_round_18"
            android:gravity="center"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/d_11dp"
            android:paddingTop="@dimen/d_5dp"
            android:paddingRight="@dimen/d_11dp"
            android:paddingBottom="@dimen/d_5dp">

            <ImageView
                android:id="@+id/iv_follow_icon"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/d_0.5dp"
                android:src="@drawable/newsfeed_profile_news_addfollow_red" />

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:id="@+id/tv_follow_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_3dp"
                android:text="Follow"
                android:textColor="@color/white"
                android:textSize="@dimen/d_14sp" />

        </LinearLayout>

    </LinearLayout>

    <com.guadou.lib_baselib.font_text_view.TextViewMedium
        android:id="@+id/tv_post_by_group"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/d_20dp"
        android:layout_marginRight="@dimen/d_20dp"
        android:layout_marginBottom="@dimen/d_12dp"
        android:textColor="@color/black"
        android:textSize="@dimen/d_14sp"
        tools:text="Share on Group Let’s Party Together." />

    <com.hongyegroup.cpt_newsfeed.widget.expand.ExpandTextView
        android:id="@+id/tv_feed_news_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/d_20dp"
        android:layout_marginRight="@dimen/d_20dp"
        android:autoLink="web"
        android:text="i wonder if you have any ideas about app design,Do you like the latest design or tetro design?"
        android:textColor="@color/black"
        android:textColorLink="@color/notify_dark_blue"
        android:textIsSelectable="true"
        android:textSize="@dimen/d_14sp" />


    <com.guadou.ninegrid.nine_grid_layout.SimpleImageViewNineGrid
        android:id="@+id/nine_grid_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/d_20dp"
        android:layout_marginTop="@dimen/d_10dp"
        android:layout_marginRight="@dimen/d_20dp"
        app:spacing="@dimen/d_13dp" />


    <View
        android:id="@+id/view_news_feed_bottom_line1"
        android:layout_width="match_parent"
        android:layout_height="@dimen/d_0.5dp"
        android:layout_marginTop="@dimen/d_10dp"
        android:background="@color/divider_color_ee" />

    <LinearLayout
        android:id="@+id/ll_news_feed_bottom_options"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/ll_feed_news_like_root"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center">

            <ImageView
                android:id="@+id/iv_tv_feed_news_like_icon"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/news_feed_likes_un" />

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:id="@+id/tv_feed_news_like_num"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_10dp"
                android:text="赞(1560)"
                android:textColor="@color/gray_76"
                android:textSize="@dimen/d_14sp" />

        </LinearLayout>

        <View
            android:layout_width="@dimen/d_0.5dp"
            android:layout_height="match_parent"
            android:layout_marginTop="@dimen/d_8dp"
            android:layout_marginBottom="@dimen/d_8dp"
            android:background="@color/divider_color_ee" />

        <LinearLayout
            android:id="@+id/ll_feed_news_comment_root"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center">

            <ImageView
                android:id="@+id/iv_tv_feed_news_comment_icon"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/d_2dp"
                android:src="@drawable/news_feed_comments_un" />

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:id="@+id/tv_feed_news_comment_num"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_10dp"
                android:text="评论(160)"
                android:textColor="@color/gray_76"
                android:textSize="@dimen/d_14sp" />

        </LinearLayout>

        <View
            android:layout_width="@dimen/d_0.5dp"
            android:layout_height="match_parent"
            android:layout_marginTop="@dimen/d_8dp"
            android:layout_marginBottom="@dimen/d_8dp"
            android:background="@color/divider_color_ee" />

        <LinearLayout
            android:id="@+id/ll_feed_news_share_root"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center">

            <ImageView
                android:id="@+id/iv_tv_feed_news_share_icon"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/d_1dp"
                android:src="@drawable/news_feed_share_un" />

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:id="@+id/tv_feed_news_share_num"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_10dp"
                android:text="分享"
                android:textColor="@color/gray_76"
                android:textSize="@dimen/d_14sp" />

        </LinearLayout>

    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/d_1dp"
        android:background="@color/page_bg" />

</LinearLayout>